# GoogleChartSize Class Reference

Inheritance diagram for GoogleChartSize:
[legend]

List of all members.

## Public Member Functions

| setWidth ($width)
| getWidth ()
| setHeight ($height)
| getHeight ()
| toString ()

## Static Public Member Functions

static | create ()

## Protected Attributes

| $name = 'chs'

## Private Attributes

| $width = null
| $height = null

## Detailed Description

Definition at line 15 of file GoogleChartSize.class.php.

## Member Function Documentation

static GoogleChartSize::create | ( |  | ) | `[static]`

Returns:
  GoogleChartSize

Definition at line 25 of file GoogleChartSize.class.php.

GoogleChartSize::getHeight | ( |  | ) |

Definition at line 59 of file GoogleChartSize.class.php.

GoogleChartSize::getWidth | ( |  | ) |

Definition at line 42 of file GoogleChartSize.class.php.

GoogleChartSize::setHeight | ( | $ | height | ) |

Returns:
  GoogleChartSize

Definition at line 50 of file GoogleChartSize.class.php.

References $height, and Assert::isPositiveInteger().

Here is the call graph for this function:

GoogleChartSize::setWidth | ( | $ | width | ) |

Returns:
  GoogleChartSize

Definition at line 33 of file GoogleChartSize.class.php.

References $width, and Assert::isPositiveInteger().

Here is the call graph for this function:

GoogleChartSize::toString | ( |  | ) |

Implements Stringable.

Definition at line 64 of file GoogleChartSize.class.php.

## Member Data Documentation

GoogleChartSize::$height = null`[private]`

Definition at line 20 of file GoogleChartSize.class.php.

Referenced by setHeight().

GoogleChartSize::$name = 'chs'`[protected]`

Reimplemented from BaseGoogleChartParameter.

Definition at line 17 of file GoogleChartSize.class.php.

GoogleChartSize::$width = null`[private]`

Definition at line 19 of file GoogleChartSize.class.php.

Referenced by setWidth().

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartSize.class.php